import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFileCreateNestedOneWithoutChunksInputObjectSchema as CloudFileCreateNestedOneWithoutChunksInputObjectSchema } from './CloudFileCreateNestedOneWithoutChunksInput.schema'

const makeSchema = () => z.object({
  seq: z.number().int(),
  data: z.instanceof(Uint8Array),
  createdAt: z.coerce.date().optional(),
  file: z.lazy(() => CloudFileCreateNestedOneWithoutChunksInputObjectSchema)
}).strict();
export const CloudFileChunkCreateInputObjectSchema: z.ZodType<Prisma.CloudFileChunkCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileChunkCreateInput>;
export const CloudFileChunkCreateInputObjectZodSchema = makeSchema();
